{ config, pkgs, ... }:

let
  settings = import ../settings.nix;
in
{
  users.groups.plugdev.gid = 69420;

  users.users.${settings.username} = {
    isNormalUser = true;
    description = settings.userDescription;
    extraGroups = settings.userGroups;
  };

  # Security
  security.sudo.execWheelOnly = true;
  security.audit.enable = true;
  security.auditd.enable = true;
}
